﻿using System.Text.Json.Serialization;
using TrafficLightsSignalR.Schema;

namespace TrafficLightsSignalR
{
    public record TrafficLightState(
        Period CurrentPeriod,
        State CurrentState,
        int CurrentStateIndex,
        double SecondsUntilChangeover,
        long NextChangeoverTimestampMs,
        string CurrentSimulationTime,
        double TimeFactor,
        long CurrentSimulationTimestampMs,
        long StartSimulationTimestampMs);
}
